/*
 * $Id: LocaleChangeEvent.java,v 1.2 2003/12/24 10:12:02 bigmac Exp $
 *
 * Copyright (c) Siemens AG 2008 
 *           (c) Universität Paderborn 2008 
 * Licensed under EUPL 1.1. 
 *
 * $Log: LocaleChangeEvent.java,v $
 * Revision 1.2  2003/12/24 10:12:02  bigmac
 * Projektweite Import-Optimierung
 *
 * Revision 1.1  2002/10/21 14:35:57  bigmac
 * *** empty log message ***
 *
 * Revision 1.1  2002/05/14 13:48:54  moelle
 * *** empty log message ***
 *
 * Revision 1.1  2001/10/09 13:36:17  bigmac
 * Initial version
 *
 */

package vkc.misc;

import java.util.EventObject;
import java.util.Locale;

public class LocaleChangeEvent extends EventObject
{
    Locale locale;

    public LocaleChangeEvent(Object source, Locale locale)
    {
        super(source);
        this.locale = locale;
    }

    public Locale getLocale()
    {
        return locale;
    }

    public String paramString()
    {
        return "LOCALE_CHANGED,locale=" + locale.toString();
    }
}
